#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <pthread.h>
#include <signal.h>
#include <sys/wait.h>
#include <sys/signal.h>
#include <errno.h>
#include "check_neocast.h"

extern int dig_func(int , char **, int *);

int main()
{

	for ( ; ; )
	{
		pid_t pid;
		int status;

		pid = fork();

		if (pid == 0)
		{
			char *paraop[512];
			int result, i;
			int ancount = 0;
	
			paraop[0] = (char *)malloc(512);
			paraop[1] = (char *)malloc(512);
			paraop[2] = (char *)malloc(512);
			memset(paraop[0], 0, 512);
			memset(paraop[1], 0, 512);
			memset(paraop[2], 0, 512);
	
			strncpy(paraop[0], "dig", 512);
			strncpy(paraop[1], "@ns1.ktics.co.kr", 512);
			strncpy(paraop[2], "vol2-hangame.ktics.co.kr", 512);
	
			result = dig_func(3, paraop, &ancount);	

			fprintf(stderr, "\n\n\n------------Result : %d\n", result);
			fprintf(stderr, "------------ANSWER: %d\n", ancount);

			for (i = 0; i < 3; i++)
				free(paraop[i]);
			return 0;
		}
		else
			waitpid(pid, &status, 0);
		sleep(2);
	}

	return 0;	
}
